[pkg-wpa-devel] r1818 - in /wpa/trunk/debian: changelog get-orig-source

slh-guest at users.alioth.debian.org slh-guest at users.alioth.debian.org
Mon Nov 25 22:08:26 UTC 2013


Author: slh-guest
Date: Mon Nov 25 22:08:26 2013
New Revision: 1818

URL: http://svn.debian.org/wsvn/pkg-wpa/?sc=1&rev=1818
Log:
debian/get-orig-source: support named snapshots, using these semantics
as version code "2.0+git20131120.1+594516b-1", a unique git hash must be
supplied after the second '+' and before the Debian revision.

Modified:
    wpa/trunk/debian/changelog
    wpa/trunk/debian/get-orig-source

Modified: wpa/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-wpa/wpa/trunk/debian/changelog?rev=1818&op=diff
==============================================================================
--- wpa/trunk/debian/changelog	(original)
+++ wpa/trunk/debian/changelog	Mon Nov 25 22:08:26 2013
@@ -12,6 +12,9 @@
   * link with --as-needed.
   * debian/get-orig-source: switch to xz compressed upstream tarballs.
   * debian/get-orig-source: adapt for the post 1.x upstream branch.
+  * debian/get-orig-source: support named snapshots, using these semantics
+    as version code "2.0+git20131120.1+594516b-1", a unique git hash must be
+    supplied after the second '+' and before the Debian revision.
   * compress binaries with xz.
   * fix hardening flags.
   * debian/control: fold dependencies.

Modified: wpa/trunk/debian/get-orig-source
URL: http://svn.debian.org/wsvn/pkg-wpa/wpa/trunk/debian/get-orig-source?rev=1818&op=diff
==============================================================================
--- wpa/trunk/debian/get-orig-source	(original)
+++ wpa/trunk/debian/get-orig-source	Mon Nov 25 22:08:26 2013
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 
 if [ -n "${1}" ]; then
 	CURDIR="${1}"
@@ -11,7 +12,15 @@
 VERSION="$(dpkg-parsechangelog -l${CURDIR}/debian/changelog | sed -ne 's,^Version: *\([0-9]*:\)\?\(.*\)$,\2,p')"
 DEB_VER="$(echo ${VERSION} | sed 's,\-[0-9a-z\~\.]*,,')"
 UP_VER="$(echo ${DEB_VER} | sed 's,\~,\-,g')"
-UP_VER_TAG="hostap_$(echo $UP_VER | sed -e 's,\.,_,g' -e 's,\-,_,g')"
+
+case "${UP_VER}" in
+*+git[0-9\.]*+*)
+	UP_VER_TAG="$(echo $UP_VER | sed 's,.*+git[0-9\.]*+,,')"
+	;;
+*)
+	UP_VER_TAG="hostap_$(echo $UP_VER | sed -e 's,\.,_,g' -e 's,\-,_,g')"
+	;;
+esac
 
 # set upstream (git-) Vcs
 UP_VCS="git://w1.fi/srv/git/hostap.git"




More information about the Pkg-wpa-devel mailing list